Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSimpleImageToImageFilter Class Reference

`#include <vtkSimpleImageToImageFilter.h>`

Inheritance diagram for vtkSimpleImageToImageFilter:

[legend]
Collaboration diagram for vtkSimpleImageToImageFilter:

[legend]
List of all members.

## Detailed Description

Generic image filter with one input.

Date:
  2002/10/04 20:43:44

Revision:
  1.11

vtkSimpleImageToImageFilter is a filter which aims to avoid much of the complexity associated with vtkImageToImageFilter (i.e. support for pieces, multi-threaded operation). If you need to write a simple image-image filter which operates on the whole input, use this as the superclass. The subclass has to provide only an execute method which takes input and output as arguments. Memory allocation is handled in vtkSimpleImageToImageFilter. Also, you are guaranteed to have a valid input in the Execute(input, output) method. By default, this filter requests it's input's whole extent and copies the input's information (spacing, whole extent etc...) to the output. If the output's setup is different (for example, if it performs some sort of sub-sampling), ExecuteInformation has to be overwritten. As an example of how this can be done, you can look at vtkImageShrink3D::ExecuteInformation. For a complete example which uses templates to support generic data types, see vtkSimpleFilterExample.

See also:
  vtkImageToImageFilter vtkSimpleImageFilterExample

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (78%)
  - Cedilnik, Andy (6%)
  - Lorensen, Bill (5%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkSimpleImageToImageFilter.cxx)`
  - .`h` (`/Filtering/vtkSimpleImageToImageFilter.h)`

Definition at line 61 of file vtkSimpleImageToImageFilter.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSimpleImageToImageFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSimpleImageToImageFilter ()
| ~vtkSimpleImageToImageFilter ()
virtual void | ExecuteInformation ()
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
virtual void | ExecuteData (vtkDataObject *output)
virtual void | SimpleExecute (vtkImageData *input, vtkImageData *output)=0

## Member Typedef Documentation

typedef vtkImageSource vtkSimpleImageToImageFilter::Superclass

| Reimplemented from vtkImageSource. Reimplemented in vtkSimpleImageFilterExample. Definition at line 64 of file vtkSimpleImageToImageFilter.h.

## Constructor & Destructor Documentation

vtkSimpleImageToImageFilter::vtkSimpleImageToImageFilter | ( |  | ) | `[protected]`

vtkSimpleImageToImageFilter::~vtkSimpleImageToImageFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkSimpleImageToImageFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource. Reimplemented in vtkSimpleImageFilterExample.

int vtkSimpleImageToImageFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkSimpleImageFilterExample.

virtual int vtkSimpleImageToImageFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkSimpleImageFilterExample.

vtkSimpleImageToImageFilter* vtkSimpleImageToImageFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource. Reimplemented in vtkSimpleImageFilterExample.

void vtkSimpleImageToImageFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkSimpleImageToImageFilter::SetInput | ( | vtkImageData * | input | ) | `[virtual]`

| Set the Input of a filter.

vtkImageData* vtkSimpleImageToImageFilter::GetInput | ( |  | ) |

| Set the Input of a filter.

virtual void vtkSimpleImageToImageFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkSimpleImageToImageFilter::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

virtual void vtkSimpleImageToImageFilter::ExecuteData | ( | vtkDataObject * | output | ) | `[protected, virtual]`

virtual void vtkSimpleImageToImageFilter::SimpleExecute | ( | vtkImageData * | input,
|  | vtkImageData * | output
| ) | `[protected, pure virtual]`

| Implemented in vtkSimpleImageFilterExample.

The documentation for this class was generated from the following file:

- Filtering/vtkSimpleImageToImageFilter.h